:root {
    --global-color-primary: #6EC1E4;
    --global-background-color-primary: #EEEEEE;
    --global-color-secondary: #584D66;
    --global-color-2: #150E1F;
    --global-color-text: #7A7A7A;
    --global-color-accent: #61CE70;
    --global-font-family: 'Roboto', sans-serif;
    --global-font-weight: 600;
    --font-size--normal: 16px;
    --font-size--huge: 42px;
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
}

*,
:after,
:before {
    box-sizing: inherit
}

body {
    color: #808285;
    background: #fff;
    font-style: normal;
    font-family: var(--global-font-family);
}

a {
    background-color: transparent;
}

a:active {
    outline: 0;
}

a,
a:focus,
a:hover,
a:visited {
    text-decoration: none;
}

img {
    height: auto;
    max-width: 100%
}

h1,
h2 {
    color: var(--global-color-2);
    font-family: "Poppins", sans-serif;
    line-height: 1.3em;
}

p {
    color: #000000;
    font-family: "Poppins", Sans-serif;
    line-height: 1.85;
}

input.form-control:focus {
    box-shadow: none;
}

cursor-pointer {
    cursor: pointer;
}

.btn:focus, .btn:active {
    outline: none;
    box-shadow: none;
}

@media (min-width: 922px) {
    .navbar {
        max-width: 1240px !important;
    }
}

@media (min-width: 544px) {
    .navbar {
        max-width: 100%;
    }
}

/* Header Section */

.header {
    background-color: #ffffff;
    position: sticky !important;
    z-index: 5;
    top: 0;
    border-bottom-width: 0px;
    border-bottom-color: #eaeaea;
}

.nav-logo {
    width: 270px;
    padding: 1em 0;
    vertical-align: middle;
    align-items: center;
    transition: all .2s linear;
}

.nav-logo-img a img {
    height: 75px;
    transition: all 0.2s linear;
}

.custom-logo-link {
    max-width: 270px;
}

.nav-bar-main {
    display: grid;
    align-content: center;
    width: 100%;
}

.nav-bar-container {
    display: grid;
    align-items: center;
    grid-column-gap: 20px;
    overflow-wrap: anywhere;
    grid-template-columns: 1fr auto 0.5fr;
    width: 100%;
}

.nav-item {
    line-height: 30px !important;
}

.menu-link {
    color: #000000c9 !important;
    position: relative;
    font-size: 0.90rem;
    font-weight: 700;
    font-family: sans-serif;
    padding: 0 1em;
    padding-left: 65px !important;
    cursor: pointer;
    text-decoration: none;
    transition: all .2s linear;
}

.menu-link::before {
    content: '';
    position: absolute;
    width: 0;
    height: 0.75px;
    bottom: 0;
    left: 0;
    background-color: black;
    /* Change this color to match your design */
    transition: width 0.3s ease-in-out;
}

.menu-link:hover::before {
    width: 80%;
    /* left: 20%; */
}

/* Home section */
section {
    max-width: 1600px;
}

.home {
    height: 100vh;
    background-image: url(./assets/images/home-img.png);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}

.home-container {
    margin: 12px 0px 0px 150px;
}

.home-heading {
    font-size: 70px;
}

.home-heading-two {
    font-size: 57px;
}

.home-para {
    margin-bottom: 1.6em;
}

/* About section */
.about {
    background-color: var(--global-background-color-primary);
}

.about-container {
    max-width: 1200px;
}

.about-img {
    margin: -70px 0px 0px 0px;
}

.about-img-two {
    margin: 0px;
}

.about-content {
    margin: 30px 0px 0px 0px;
    padding: 10px;
    position: relative;
    width: 100%;
    flex-wrap: wrap;
    align-content: flex-start;
}

.about-content h3 {
    color: #4258A4;
    font-family: "Bebas Neue", Sans-serif;
    font-size: 64px;
    letter-spacing: 1.1px;
}

.about-content p {
    color: var(--global-color-secondary);
    font-size: 24px;
    line-height: 35px;
    margin-bottom: 1.6em;
    font-weight: 500;
    text-align: justify;
}

/* Projects */
.projects {
    background-color: var(--global-background-color-primary);
}

.projects-container {
    max-width: 1200px;
}

.project-content h3 {
    color: #4258A4;
    font-family: "Bebas Neue", Sans-serif;
    font-size: 54px;
    letter-spacing: 1.1px;
}

.card-body {
    font-family: var(--global-font-family);
    width: 100%;
    display: inline-flex;
    line-height: 1.85;
}

.card-body img {
    border-radius: 0px;
    height: 220px;
    object-fit: cover;
    padding-bottom: 20px;
}

.card-content h4 {
    color: #000000;
    font-size: 21px;
    font-weight: 400;
}

.card-content p{
    margin-top: 10px;
    color: #8a8a8a;
    margin-bottom: 1.6em;
}

/* Services */

.services {
    background-color: var(--global-background-color-primary);
}

.services-container {
    max-width: 1200px;
}

.services-card {
    box-shadow: 0px 0px 10px 0px rgba(0,0,0,0.5);
    margin: 10px;
    height: 100%;
}

.services-heading {
    font-family: "Bebas Neue", Sans-serif;
    letter-spacing: 1.1px;
}

.services-heading h3{
    font-size: 54px;
}

.service-card-content {
    margin: 11px 0px 19px 0px;
    text-align: center;
}

.service-card-content p {
    color: #000000;
    font-size: 15px;
    font-weight: 400;
}

.services-provided-dot-image {
    margin: 0px 50px 0px -90px;
}

.services-provided-dot-image-right {
    position: absolute;
    top: -66px;
    right: 0;
    margin: 0px -93px 0px 0px;
}

.services-provided-dot-image img, .services-provided-dot-image-right img {
    height: 165px;
}

.services-provided-image {
    position: relative;
    z-index: 2;
    margin: 0px 0px 0px -18px;
}

.services-provided-image-right {
    position: relative;
    z-index: 2;
}

.services-provided-image img, .services-provided-image-right img {
    width: 100%;
    max-width: 100%;
    height: 325px;
}

.services-provided-heading {
    font-size: 2.3rem;
    font-family: 'Rubik',sans-serif;
    line-height: 1.3em;
    font-weight: 700;
}

.services-provided-content {
    font-size: 17px;
    font-weight: 500;
    line-height: 27px;
    text-align: justify;
    color: var(--global-color-secondary);
}

/* Contact */

.contact {
    background-color: var(--global-background-color-primary);
}

.contact-container {
    max-width: 1200px;
}

.contact-heading {
    font-family: 'Rubik',sans-serif;
    font-size: 29px;
    line-height: 1.3em;
    font-weight: 700;
}

.contact-form {
    background-color: white;
    box-shadow: 5px 6px 10px 0px rgba(0, 0, 0, 0.5);
    transition: background 0.3s, border 0.3s, border-radius 0.3s, box-shadow 0.3s;
}

.contact-image {
    box-shadow: 5px 6px 10px 0px rgba(0,0,0,0.5);
}

.contact-image img {
    width: 80%;
    height: 635px;
}

.contact-submit-button {
    background-color: #1d71b3 !important;
    padding: 10px 32px;
    letter-spacing: 2px;
}

.contact-form form label {
    font-weight: 700;
    font-size: 1rem;
    color: #54595F;
}

.contact-form form input, .contact-form form textarea {
    background-color: #e8e8e8;
}

.contact-form form label em {
    color: red;
}

/* Testimonials */
.testimonials {
    background-color: #ffffff;
    font-family: 'Karla',sans-serif;
}

.testimonials-container {
    max-width: 1200px;
}

.testimonials-heading {
    color: #150E1F;
    font-size: 1.85rem;
    font-family: 'Rubik',sans-serif;
    font-weight: 700;
}

.testimonials-content {
    font-family: 'Karla',sans-serif;
    color: #54595F;
    font-weight: 700;
    line-height: 1;
    font-size: 17px;
}

.testimonials-content img {
    width: 42%;
}

/* Footer */
.footer {
    background-color: #000f49;
}

.footer-container {
    max-width: 1200px;
    font-family: 'Karla',sans-serif;
}

.footer-heading {
    font-size: 1.5rem;
    font-weight: 600;
    color: #ffffff;
}

.footer-para {
    font-size: 1rem;
    font-weight: 600;
    color: #ffffff;
    text-align: justify;
    transition: 0.4s ease-in-out;
}

.footer-para a {
    color: #ffffff;
    transition: 0.4s ease-in-out;
}

.footer-para:hover,  .footer-para a:hover{
    color: #4169e1;
}
/* Media Queris */

@media only screen and (max-width: 576px) {

    /* Header */
    .custom-logo-link img {
        width: 150px;
    }

    .nav-logo {
        text-align: left;
    }

    /* Home */
    .home-heading {
        font-size: 35px;
    }

    .home-heading-two {
        font-size: 25px;
    }

    .home-container {
        margin: 12px 0px 0px 50px;
    }

    .home-para {
        margin-top: 1.6em;
    }
}

@media only screen and (max-width: 768px) and (min-width: 576px) {

    /* Home */
    .home-heading {
        font-size: 50px;
    }

    .home-heading-two {
        font-size: 45px;
    }

    .home-container {
        margin: 12px 0px 0px 100px;
    }
}

@media only screen and (min-width: 768px) {

    /* Services */
    .services-card {
        margin: 20px;
    }

    .service-card-content p {
        font-size: 18px;
    }

    .menu-link:hover::before {
        width: 80%;
        left: 20%;
    }
}

@media only screen and (max-width: 991px) {

    /* Header */
    .nav-bar-container {
        grid-template-columns: 1fr 1fr !important;
        text-align: right !important;
    }

    .nav-bar-button {
        width: fit-content !important;
        position: absolute !important;
        right: 50px !important;
    }

    .custom-nav-bar {
        background-color: white;
        position: absolute;
        left: 0;
        text-align: left;
        top: 0;
    }

    .navbar-collapse {
        width: 95%;
        height: 100vh;
    }

    .navbar-nav {
        border-top: 1px solid #eaeaea;
    }

    .nav-item {
        border-bottom: 1px solid #eaeaea;
    }

    .menu-link {
        color: #584D66 !important;
        padding-top: 15px;
        padding-bottom: 15px;
        padding-left: 25px !important;
        padding-right: 25px;
        line-height: 3;
        border-bottom-width: 1px;
        border-color: #eaeaea;
        font-size: 18px;
        font-family: 'Roboto';
        font-weight: 400;
    }

    /* About */

    .about-content h3 {
        font-size: 35px;
    }

    .about-content p {
        font-size: 16px;
    }

}

@media only screen and (min-width: 992px) {
    .about-content h3 {
        font-size: 45px;
    }

    .about-content p {
        font-size: 18px;
    }

    /* Services */
    .services-card {
        margin: 31px 31px 31px 31px;
    }
}

@media only screen and (min-width: 1200px) {
    .about-content h3 {
        font-size: 64px;
    }

    .about-content p {
        font-size: 24px;
    }

    .about-content {
        margin: 50px 0px 0px 26px;
    }

    .about-img-two {
        margin: 32px -59px 0px 89px;
    }

    .services-provided-image {
        top: -100px;
    }
}

/* Corousel */
@media (max-width: 768px) {
    .carousel-inner .carousel-item > div {
        display: none;
    }
    .carousel-inner .carousel-item > div:first-child {
        display: block;
    }
}

.carousel-inner .carousel-item.active,
.carousel-inner .carousel-item-next,
.carousel-inner .carousel-item-prev {
    display: flex;
}

/* display 3 */
@media (min-width: 768px) {
    
    .carousel-inner .carousel-item-right.active,
    .carousel-inner .carousel-item-next {
      transform: translateX(33.333%);
    }
    
    .carousel-inner .carousel-item-left.active, 
    .carousel-inner .carousel-item-prev {
      transform: translateX(-33.333%);
    }
}

.carousel-inner .carousel-item-right,
.carousel-inner .carousel-item-left{ 
  transform: translateX(0);
}

.carousel-control-prev, .carousel-control-next {
    opacity: 1 !important;
}

.carousel-control-prev-icon {
    margin-left: 21px;
}

.carousel-control-next-icon {
    margin-right: 35px;
}

.carousel-control-prev-icon, .carousel-control-next-icon {
    margin-top: -110px;
    border-radius: 0px !important;
    width: 62px;
    height: 62px;
    line-height: 62px;
    font-size: 24px;
    background-image: none;
    background-color: #ffffff !important;
    color: #000000 !important;
    transition: .3s ease-in-out;
}

.carousel-control-prev-icon:hover, .carousel-control-next-icon:hover {
    color: #ffffff !important;
    background-color: #000000 !important;
    border-color: black !important;
}